org.apache.poi.hssf.usermodel

## Class HSSFChart.HSSFSeries

- java.lang.Object
- - org.apache.poi.hssf.usermodel.HSSFChart.HSSFSeries

- Enclosing class:
    HSSFChart

      public static class HSSFChart.HSSFSeries
      extends java.lang.Object

  A series in a chart

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CellRangeAddressBase` | `getCategoryLabelsCellRange()`
    `LinkedDataRecord` | `getDataCategoryLabels()`
    `LinkedDataRecord` | `getDataName()`
    `LinkedDataRecord` | `getDataSecondaryCategoryLabels()`
    `LinkedDataRecord` | `getDataValues()`
    `short` | `getNumValues()`
    `SeriesRecord` | `getSeries()`
    `java.lang.String` | `getSeriesTitle()` Returns the series' title, if there is one, or null if not
    `CellRangeAddressBase` | `getValuesCellRange()`
    `short` | `getValueType()` See `SeriesRecord`
    `void` | `setCategoryLabelsCellRange(CellRangeAddressBase range)`
    `void` | `setSeriesTitle(java.lang.String title)` Changes the series' title, but only if there was one already.
    `void` | `setValuesCellRange(CellRangeAddressBase range)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNumValues

          public short getNumValues()

    - #### getValueType

          public short getValueType()

      See `SeriesRecord`

    - #### getSeriesTitle

          public java.lang.String getSeriesTitle()

      Returns the series' title, if there is one, or null if not

    - #### setSeriesTitle

          public void setSeriesTitle(java.lang.String title)

      Changes the series' title, but only if there was one already. TODO - add in the records if not

    - #### getDataName

          public LinkedDataRecord getDataName()

      Returns:
        record with data names

    - #### getDataValues

          public LinkedDataRecord getDataValues()

      Returns:
        record with data values

    - #### getDataCategoryLabels

          public LinkedDataRecord getDataCategoryLabels()

      Returns:
        record with data category labels

    - #### getDataSecondaryCategoryLabels

          public LinkedDataRecord getDataSecondaryCategoryLabels()

      Returns:
        record with data secondary category labels

    - #### getSeries

          public SeriesRecord getSeries()

      Returns:
        record with series

    - #### getValuesCellRange

          public CellRangeAddressBase getValuesCellRange()

    - #### getCategoryLabelsCellRange

          public CellRangeAddressBase getCategoryLabelsCellRange()

    - #### setValuesCellRange

          public void setValuesCellRange(CellRangeAddressBase range)

    - #### setCategoryLabelsCellRange

          public void setCategoryLabelsCellRange(CellRangeAddressBase range)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.